Projects

GET /projects

Get all Projects
HTTP Response: 200

<xml>
    <item>
        <id>2616</id>
        <userid>24</userid>
        <clientid>297</clientid>
        <name>Test Project</name>
        <date>2010-02-22 13:45:18</date>
        <description>Tasks for this site.</description>
        <slug>test-project</slug>
        <budgettype>per_hour</budgettype>
        <budgetvalue>0</budgetvalue>
    </item>
    ...
</xml>

Optional parameters:

  • /client_id – Returns only projects for this client.

GET /project/id/{project_id}

Get a Project
HTTP Response: 200

<xml>
    <id>2616</id>
    <userid>24</userid>
    <clientid>297</clientid>
    <name>Test Project</name>
    <date>2010-02-22 13:45:18</date>
    <description>Tasks for this site.</description>
    <slug>test-project</slug>
    <budgettype>per_hour</budgettype>
    <budgetvalue>0</budgetvalue>
</xml>

POST /create_project

Create a Project
HTTP Response: 200

<xml>
    <userid>24</userid>
    <clientid>297</clientid>
    <name>Test Project</name>
    <date>2010-09-13 14:30:42</date>
    <slug>test-project</slug>
    <description>Sample description.</description>
    <budgettype>per_hour</budgettype>
    <budgetvalue>100</budgetvalue>
    <id>5753</id>
</xml>

POST values:

  • name – (required) A name for the new project.
  • client_id – (required) The client ID for the parent client.
  • description – (optional) A project description.
  • budget_type – (optional) Set the budget type (”, ‘per_hour’, ‘total’).
  • budget_value – (optional) Set the budget value.

POST /edit_project

Edit a Project
HTTP Response: 200

<xml>
    <name>Test Project</name>
    <slug>test-project</slug>
    <clientid>297</clientid>
    <description>Sample description.</description>
    <budgettype>per_hour</budgettype>
    <budgetvalue>100</budgetvalue>
    <id>5753</id>
</xml>

POST values:

  • id – (required) The project ID.
  • name – (optional) A name for the new project.
  • client_id – (optional) The client ID for the parent client.
  • description – (optional) A project description.
  • budget_type – (optional) Set the budget type (”, ‘per_hour’, ‘total’).
  • budget_value – (optional) Set the budget value.

POST /delete_project

Delete a Project
HTTP Response: 200

<xml>
    <status>success</status>
</xml>

POST values:

  • id – (required) The project ID.